<template>
  <div class="assessment">
    <div class="area">
      <ul class="circles">
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
        <li></li>
      </ul>
      <div class="assessment-form">
        <div class="header3">KNOWLEDGE CHECK</div>
        <section class="test" v-if="!score">
          <ul class="quiz">
            <li>
              <h5>
                What is the meaning of this
                <span class="small_img">
                  <img alt="mines" src="../assets/inclusion.png" />
                </span>
                Inclusion?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="Feather"
                    /><span>Feather</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="Scratch"
                    /><span>Scratch</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="Twinning Wisp"
                    /><span>Twinning Wisp</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question0"
                      value="Polish Lines"
                    /><span>Polish Lines</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>Select the appropriate ‘Group of Colours’ in Fluorescent?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="White, Yellow, Orange"
                    /><span>White, Yellow, Orange</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Blue, Pink, Brown, Yellow"
                    /><span>Blue, Pink, Brown, Yellow</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Blue, Yellow"
                    /><span>Blue, Yellow</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question1"
                      value="Blue, Brown"
                    /><span>Blue, Brown</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>Pavilion Depth % is the distance from?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Table to Culet"
                    /><span>Table to Culet</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Table to Pavilion"
                    /><span>Table to Pavilion</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Culet to Girdle"
                    /><span>Culet to Girdle</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question2"
                      value="Culet to Crown"
                    /><span>Culet to Crown</span></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>
                Between what colour grades the stones are mentioned as Natural
                Diamonds?
              </h5>
              <ul class="choices">
                <li>
                  <label
                    ><input type="radio" name="question3" value="D-M" /><span
                      >D-M</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question3" value="D-J" /><span
                      >D-J</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question3" value="D-S" /><span
                      >D-S</span
                    ></label
                  >
                </li>
                <li>
                  <label
                    ><input type="radio" name="question3" value="D-Z" /><span
                      >D-Z</span
                    ></label
                  >
                </li>
              </ul>
            </li>
            <li>
              <h5>What is the Difference Between the Radiant and Asschers?</h5>
              <ul class="choices">
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Cutting of Edge"
                    /><span>Cutting of Edge</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Different numbers of Side"
                    /><span>Different numbers of Side</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Difference in Facets"
                    /><span>Difference in Facets</span></label
                  >
                </li>
                <li>
                  <label
                    ><input
                      type="radio"
                      name="question4"
                      value="Difference in Shape"
                    /><span>Difference in Shape</span></label
                  >
                </li>
              </ul>
            </li>
          </ul>
        </section>
        <section class="score" v-else>
          <!-- <ul class="quiz"> -->
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag"></b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  What is the meaning of this
                  <span class="small_img">
                    <img alt="mines" src="../assets/inclusion.png" />
                  </span>
                  Inclusion?
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag"></b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag"></b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  Select the appropriate ‘Group of Colours’ in Fluorescent?
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag"></b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag"></b-badge>
              </div> -->
              <div class="col-12">
                <h5>Pavilion Depth % is the distance from?</h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag"></b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag"></b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  Between what colour grades the stones are mentioned as Natural
                  Diamonds?
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-12">
                <b-badge class="tag"></b-badge>
              </div>
            </div>
          </div>
          <div class="quiz-section">
            <div class="row">
              <!-- <div class="col-1">
                <b-badge class="tag"></b-badge>
              </div> -->
              <div class="col-12">
                <h5>
                  What is the Difference Between the Radiant and Asschers?
                </h5>
              </div>
            </div>
            <div class="row">
              <!-- <div class="col-1">answer:</div> -->
              <div class="col-11">
                <b-badge class="tag"></b-badge>
              </div>
            </div>
          </div>
        </section>

        <div class="quiz-section mt-4 mb-4">
          <div class="row">
            <span id="myresults" class="my-results col-12"
              >Your results will appear here</span
            >
          </div>
        </div>
        <div class="assement_btns pb-4">
          <button
            id="back"
            class="buttons prev"
            @click="$router.push('/chapter_three')"
          >
            Back
          </button>
          <button
            id="submit"
            class="buttons next"
            @click="submit()"
            v-show="submit_btn"
          >
            Submit
          </button>
          <button
            id="next"
            class="buttons next"
            v-show="next || count > 3"
            @click="$router.push('/chapter_four')"
          >
            Next
          </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { stores } from "../main";
export default {
  data: function () {
    return {
      count: stores.state.count,
      submit_btn: true,
      next: false,
      submit_btn: true,
      answer: [
        "Twinning Wisp",
        "White, Yellow, Orange",
        "Culet to Girdle",
        "D-Z",
        "Difference in Facets",
      ],
      ans: [
        "Twinning Wisp",
        "White, Yellow, Orange",
        "Culet to Girdle",
        "D-Z",
        "Difference in Facets",
      ],
      selected_answers: [],
      score: false,
      ans_bool: [],
    };
  },
  methods: {
    getCheckedValue(radioName) {
      var radios = document.getElementsByName(radioName); // Get radio group by-name
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          return radios[y].value;
        } // return the checked value
      }
    },
    getSelectedAns(radioName) {
      var radios = document.getElementsByName(radioName);
      for (var y = 0; y < radios.length; y++) {
        if (radios[y].checked) {
          this.selected_answers.push(radios[y].value);
        }
      }
    },
    getScore() {
      var score = 0;
      for (var i = 0; i < this.answer.length; i++)
        if (this.getCheckedValue("question" + i) === this.answer[i]) {
          score += 1;
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        } else {
          this.ans_bool.push(
            this.getCheckedValue("question" + i) == this.answer[i]
          );
        }
      return score;
    },
    showAnswers() {
      // var divs = document.querySelectorAll(".ans");
      var tags = document.querySelectorAll(".tag");
      for (var index = 0; index < this.ans_bool.length; ++index) {
        // if (this.selected_answers[index] == undefined) {
        //   divs[index].innerHTML = "";
        // } else {
        //   divs[index].innerHTML = this.selected_answers[index];
        // }

        if (this.ans_bool[index]) {
          tags[index].innerHTML = "Correct";
          tags[index].classList.add("badge-success");
        } else {
          tags[index].innerHTML = "Incorrect";
          tags[index].classList.add("badge-danger");
        }
      }
    },
    makeToast() {
      this.$bvToast.toast("Please answer all questions", {
        variant: "danger",
        solid: false,
        noCloseButton: true,
      });
    },
    submit() {
      this.selected_answers = [];
      for (var i = 0; i < this.answer.length; i++) {
        this.getSelectedAns("question" + i);
      }
      if (this.selected_answers.length != this.answer.length) {
        this.makeToast();
      } else {
        this.submit_btn = false;
        this.score = true;
        document.getElementById("myresults").innerHTML =
          "Your score is " + this.getScore() + "/" + this.answer.length;

        setTimeout(() => {
          this.showAnswers();
        }, 1000);
        if (this.getScore() == this.answer.length) {
          stores.dispatch("setLevel", "chapter_four");
          stores.dispatch("setCount", 4);
          this.next = true;
        }
      }
    },
  },
};
</script>

<style scoped>
section {
  padding: 1em 4em !important;
}
.small_img {
  height: 100px;
  weight: 100px;
}
.assement_btns {
  text-align: center;
}
.header3 {
  background: #000;
  color: #c09e7c;
  padding: 0.2em;
  margin-bottom: 40px;
  font-family: "Helvetica";
  font-size: 40px;
  font-weight: bold;
  letter-spacing: -1px;
  line-height: 1;
  text-align: center;
}

.assessment {
  position: relative;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.assessment-form {
  z-index: 5;
  background-image: url("https://www.finestardiamonds.com/Images/02.png");
  background-color: #fff;
  /* background-size: 500px 200px; */
  /* background-repeat: no-repeat; */
  /* background-position: center; */
  /* background-color: #fff; */
  width: 80%;
  padding: 1em;
  position: absolute;
  border-radius: 20px;
  left: 50%;
  transform: translateX(-50%);
  margin: 2em 0;
}
.score {
  min-height: 800px;
}
.score .quiz-section {
  margin-bottom: 50px;
}
.button6 {
  color: #2b030e;
  margin: 0 5px;
}
.button6:hover {
  transform: scale(0.9, 0.9) translate(0px, 5px);

  filter: drop-shadow(0px 0px 10px);
}
.button6:active {
  background: #3f444c;
}
.button6:focus {
  outline: 50px;
}
.button6 {
  cursor: pointer;
  line-height: 0.1em;
  font-family: "Poor Story", light;
  filter: drop-shadow(18px 18px 3px rgba(0, 0, 0, 0.4));
  /* position: fixed; */
  bottom: 1em;
  font-size: 20px;
  background: rgba(43, 43, 43, 0.31);
  border-style: solid;
  border-color: #252528;
  border-radius: 9px;
  border-width: 1px;
  z-index: 5;
  transition: all 0.2s ease-in-out;
  padding: 1em;
}
.buttons {
  box-shadow: 5px 10px 18px #888888;
  cursor: pointer;
  line-height: 0.1em;
  bottom: 1em;
  font-size: 20px;
  z-index: 5;
  padding: 1em;
  background: #c09e7c;
  border: none;
  border-radius: 20px;
  color: #fff;
  margin: 0 5px;
}
.buttons:active {
  transform: scale(0.9, 0.9) translate(0px, 5px);
  filter: drop-shadow(0px 0px 10px);
}
.quiz,
.choices {
  list-style-type: none;
  padding: 0;
}

.choices li {
  margin-bottom: 5px;
}

.choices label {
  display: flex;
  align-items: center;
}

.choices label,
input[type="radio"] {
  cursor: pointer;
}

input[type="radio"] {
  margin-right: 8px;
}

.view-results {
  padding: 1rem;
  cursor: pointer;
  font-size: inherit;
  color: white;
  background: teal;
  border-radius: 8px;
  margin-right: 5px;
}

.my-results {
  padding: 1rem;
  border: 1px solid goldenrod;
  text-align: center;
}

.area {
  background: #0d0d0d;
  background: -webkit-linear-gradient(to left, #0d0d0d, #0d0d0d);
  width: 100%;
  height: 200vh;
  align-items: center;
  justify-content: center;
}

.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.circles li {
  position: absolute;
  display: block;
  list-style: none;
  width: 20px;
  height: 20px;
  /* background: rgba(255, 255, 255, 0.2); */
  background: rgba(179, 152, 0, 0.2);
  animation: animate 50s linear infinite;
  bottom: -150px;
}

.circles li:nth-child(1) {
  left: 25%;
  width: 80px;
  height: 80px;
  animation-delay: 0s;
}

.circles li:nth-child(2) {
  left: 10%;
  width: 20px;
  height: 20px;
  animation-delay: 2s;
  animation-duration: 20s;
}

.circles li:nth-child(3) {
  left: 70%;
  width: 70px;
  height: 70px;
  animation-delay: 4s;
}

.circles li:nth-child(4) {
  left: 40%;
  width: 140px;
  height: 140px;
  animation-delay: 0s;
  animation-duration: 18s;
}

.circles li:nth-child(5) {
  left: 65%;
  width: 20px;
  height: 20px;
  animation-delay: 0s;
}

.circles li:nth-child(6) {
  left: 75%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
}

.circles li:nth-child(7) {
  left: 35%;
  width: 150px;
  height: 150px;
  animation-delay: 35s;
}

.circles li:nth-child(8) {
  left: 50%;
  width: 45px;
  height: 45px;
  animation-delay: 15s;
  animation-duration: 45s;
}

.circles li:nth-child(9) {
  left: 20%;
  width: 35px;
  height: 35px;
  animation-delay: 2s;
  animation-duration: 35s;
}

.circles li:nth-child(10) {
  left: 85%;
  width: 150px;
  height: 150px;
  animation-delay: 0s;
  animation-duration: 11s;
}
.circles li:nth-child(11) {
  right: 85%;
  width: 100px;
  height: 100px;
  animation-delay: 2s;
  animation-duration: 55s;
}
.circles li:nth-child(12) {
  right: 70%;
  width: 120px;
  height: 120px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(13) {
  right: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 4s;
  animation-duration: 20s;
}
.circles li:nth-child(14) {
  right: 20%;
  width: 110px;
  height: 110px;
  animation-delay: 3s;
  animation-duration: 15s;
}
.circles li:nth-child(15) {
  right: 40%;
  width: 120px;
  height: 120px;
  animation-delay: 2s;
  animation-duration: 25s;
}
.circles li:nth-child(16) {
  left: 10%;
  width: 170px;
  height: 170px;
  animation-delay: 0s;
  animation-duration: 20s;
}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0deg);
    opacity: 1;
    border-radius: 0;
  }

  100% {
    transform: translateY(-1000px) rotate(720deg);
    opacity: 1;
    border-radius: 40%;
  }
}
</style>